Subject: bug#21666: Bug is indeed undo-list and GC related

From: Jorgen Schäfer <[email-masked]>
Date: Wed, 09 Mar 2016 15:21:45 +0000

No, I can not. As mentioned, the problem occurs after a day or two of
usage. If you understand the problem better now that you know what prevents
it, I am of course happy to run test cases.

Eli Zaretskii <[email-masked]> schrieb am Mi., 9. März 2016 16:15:

> > From: Jorgen Schäfer <[email-masked]>
> > Date: Wed, 09 Mar 2016 10:14:35 +0000
> >
> > I do not know how GC works in Emacs Lisp, but it seems to me that an
> Emacs Lisp program should not be
> > able to segfault Emacs in this manner. It is interesting that this
> problem was introduced sometime after
> > 19efb9 – an Emacs built from that commit did not exhibit the problem.
>
> Can you bisect it more narrowly?  "After 19efb9" leaves a lot of
> alternatives...
>
> Thanks.
>